CVE-ID

CVE-2004-0005

• Severity Rating • Fix Information • Vulnerable Software Versions • SCAP Mappings
Description
Multiple buffer overflows in Gaim 0.75 allow remote attackers to cause a denial of service and possibly execute arbitrary code via (1) octal encoding in yahoo_decode that causes a null byte to be written beyond the buffer, (2) octal encoding in yahoo_decode that causes a pointer to reference memory beyond the terminating null byte, (3) a quoted printable string to the gaim_quotedp_decode MIME decoder that causes a null byte to be written beyond the buffer, and (4) quoted printable encoding in gaim_quotedp_decode that causes a pointer to reference memory beyond the terminating null byte.
References
Note: References are provided for the convenience of the reader to help distinguish between vulnerabilities. The list is not intended to be complete.
Date Entry Created
20040105 Disclaimer: The entry creation date may reflect when the CVE-ID was allocated or reserved, and does not necessarily indicate when this vulnerability was discovered, shared with the affected vendor, publicly disclosed, or updated in CVE.
Phase (Legacy)
Modified (20071113)
Votes (Legacy)
ACCEPT(5) Armstrong, Baker, Cole, Cox, Green
NOOP(2) Christey, Wall
Comments (Legacy)
 Christey> CERT-VN:VU#404470
   URL:http://www.kb.cert.org/vuls/id/404470
   CERT-VN:VU#655974
   URL:http://www.kb.cert.org/vuls/id/655974
   CERT-VN:VU#226974
   URL:http://www.kb.cert.org/vuls/id/226974
   CERT-VN:VU#190366
   URL:http://www.kb.cert.org/vuls/id/190366

Proposed (Legacy)
20040318
This is an entry on the CVE list, which standardizes names for security problems.